Skip to main content
GET
/
api
/
board
/
{boardId}
/
configuration
Get full board configuration
curl --request GET \
  --url https://core-api.getaptly.com/api/board/{boardId}/configuration \
  --header 'x-token: <api-key>'
{
  "data": {
    "fields": [
      {
        "uuid": "<string>",
        "name": "<string>",
        "type": "<string>",
        "position": 123,
        "optional": true,
        "archived": true
      }
    ],
    "automations": [
      {
        "uuid": "<string>",
        "title": "<string>",
        "archived": true,
        "destinationBoardUuid": "<string>",
        "sourceBoardUuid": "<string>",
        "runMode": "<string>",
        "segment": "<unknown>",
        "timeOfDay": 123
      }
    ],
    "options": {
      "minCallDuration": 123,
      "boardEmailOnlyParsedCards": true,
      "displayFieldNames": true,
      "agingIndicator": true,
      "applicationFeatures": true,
      "applicationLinking": true,
      "defaultContactType": "<string>",
      "updateBadgeField": "<string>"
    },
    "tabViews": [
      {
        "uuid": "<string>",
        "name": "<string>",
        "url": "<string>",
        "icon": "<string>",
        "embedSource": "<string>",
        "type": "<string>"
      }
    ],
    "workflows": [
      {}
    ],
    "groups": [
      {}
    ],
    "shares": {
      "acl": [
        {}
      ]
    },
    "theme": {
      "name": "<string>",
      "cardName": "<string>",
      "color": "<string>",
      "icon": "<string>",
      "description": "<string>",
      "shortCode": "<string>"
    },
    "filters": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getaptly.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

Path Parameters

boardId
string
required

The board's UUID.

Response

Full board configuration.

data
object